Bug 118913 - DHTML editor relies on a perl script for Spell Checking functionality
DHTML editor relies on a perl script for Spell Checking functionality
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 13:47 EST by Daniel Berrange
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-03-22 13:47:04 EST
Description of problem:
The new DHTML editor we integrated with Core / CMS uses a perl CGI
script to interfact to GNU ASpell. There are a couple of problems with
this:

 * It breaks our general rule of being pure java at runtime.
 * The Perl version that comes with RHEL 2.1 doesn't support unicode
to a level sufficient for the Perl spell checker to work
 * Both RHEL 2.1 & 3 ship with an old unmaintained ASpell that was
discontinued 2 years ago & has completely different C++ API.
 * Installing the new ASpell RPMs causes RPM DB conflicts & clash in
the /usr/bin namespace

The solution is for us to write a drop in replacement for the CGI
script in Java instead of Perl. We could keep the exact same request
contract, so no further forking of changes to the HTML Editor would be
required.

Our replacement could leverage the JTextCheck library which provides a
JNI wrapper to ASpell:

http://linux.org.mt/projects/jtextcheck/index.html

This library abstracts out the impl of the spell checker, so we could
subsitute in an alternative non-JNI solution if we discover one /
someone pays for a commercial one.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:36:56 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.